org.keycloak.models

## Interface ActionTokenStoreProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    InfinispanActionTokenStoreProvider

      public interface ActionTokenStoreProvider
      extends Provider

  Internal action token store provider. It's used for store the details about used action tokens. There is separate provider for OAuth2 codes - `CodeToTokenStoreProvider`, which may reuse some components (eg. same infinispan cache)
  Author:
    hmlnarik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionTokenValueModel` | `get(ActionTokenKeyModel key)` Returns token corresponding to the given key from the internal action token store
    `void` | `put(ActionTokenKeyModel actionTokenKey, Map<String,String> notes)` Adds a given token to token store.
    `ActionTokenValueModel` | `remove(ActionTokenKeyModel key)` Removes token corresponding to the given key from the internal action token store, and returns the stored value

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### put

          void put(ActionTokenKeyModel actionTokenKey,
                   Map<String,String> notes)

      Adds a given token to token store.
      Parameters:
        `actionTokenKey` - key
        `notes` - Optional notes to be stored with the token. Can be `null` in which case it is treated as an empty map.

    - #### get

          ActionTokenValueModel get(ActionTokenKeyModel key)

      Returns token corresponding to the given key from the internal action token store
      Parameters:
        `key` - key
      Returns:
        `null` if no token is found for given key and nonce, value otherwise

    - #### remove

          ActionTokenValueModel remove(ActionTokenKeyModel key)

      Removes token corresponding to the given key from the internal action token store, and returns the stored value
      Parameters:
        `key` - key
        `nonce` - nonce that must match a given key
      Returns:
        `null` if no token is found for given key and nonce, value otherwise

Copyright © 2020 JBoss by Red Hat. All rights reserved.